// Class  : NewBasicServer
// Author : Russ Ethington
// Version: 2/16/96 for Java 1.0

import java.io.*;
import java.net.*;
import java.lang.*;

class NewBasicServer extends SimpleServerConnection 
{
   public static void main(String args[]) 
   {
      System.out.println("Ready...");

      new NewBasicServer().start(4646);
   }

   public void handleSession(DataInputStream in, PrintStream out)
   {
      String incoming;

      System.out.println("Client has connected...");
      try
      {
         while ((incoming = in.readLine()) != null)
         {
            System.out.println("Echoing: " + incoming);
            System.out.flush();

            out.println(incoming);
            out.flush();
         }
      }
      catch (IOException e) { }
      System.out.println("Client has disconnected. Exiting...");
   }
}
